%*****************************************************************************
%	IHRS design and optimization using Genetic Algorithms 
%	Initialization InitD
%*****************************************************************************
%	20.01.00 - last : 01.05.00 by OW|BR
%	InitD.m
%*****************************************************************************
%	Intermediate printing ? (None, a few, all): interpri = 0 or 1 or 2)
%	Read DataUnits
%	PrintTrace =  	1	% [0..3] [nothing to all] ML intermediate display in optimization
%	rangepri =	0	% [0..2] [nothing to all] ML intermediate displwhile in input & init
%	Ptrace_mex =  	0	% [0..3] [nothing to all] MEX intermediate display in optimization
%	NPLOTtot =	10	% [0..N_GEN] number of refreshed plots. Be careful to the particular meaning (unlike common sense) of NPLOTtot=0, then => N_GEN whatever the value of N_GEN (some kind of default value)
%	helppri =  	0	% [0..1] [no, yes] Display help of file .m used all over
%	RU =		0	% [0..1]
%	Set epsilon_T, the minimum temperature difference to make the boundary on 
%	the independent variables X uniform, i.e. between 0=<Xpk=<1, but the method
%	is not suitable for X_k(k) variable, for which a epsilon_X is used
%*****************************************************************************
	global rangepri
	global PrintTrace
	global NPLOTtot
%*****************************************************************************
HR_mode = 0;	%	HR_mode = 1 => maximization of HR, otherwise (HR_mode~=1) TBCs is (finally) minimized
Search_mode = 1;	%	2, 1
			%	Search_mode = 3 means first '-HR', then mix(TBCs, HR), and finally TBCs;
			%	Search_mode = 2 => mix, then TBCs;
			%	Search_mode = 1 => TBCs all the way 
Modified_OF_proportion = 0.7;
one_third = 1/3;
PrintTrace = 2;		% 1;	% 2;			%*"+
rangepri = 0;
Ptrace_mex = 0;
NPLOTtot = 10;	% 10;	% 100; be careful to the particular meaning (unlike common sense) of NPLOTtot=0, then => N_GEN whatever the value of N_GEN (some kind of default value)
%N_HR = 400;	%	the division of the HR range for statistics
delta_HR = 1;	%	in [kWh/batch] resolution of TBCs_vs_HR
HR_ul_pinch = 400	%	[kWh/batch] upper limit of HR accounting for process pinch, including heat recovery streams
helppri  = 0;
RU = 0;

Binary_var_mode = 1;	%	,1 Binary_var_mode = 0 means binary variables are not used in the optimization model (only continues variables Xk and Xpk); Binary_var_mode = 1 means using also binary variables Xp describing whether streams p is integrated with heat storage (Xp = 1) or not (Xp = 0)
Distance_mode = 1;	%	,1	Distance_mode = 0 means distinct weights for different streams; Distance_mode = 1 means all weights equal to 1
r_w_Tk_to_T = 0;	%	r_w_Tk_to_T >=0	relative weight of HSU temperature with respect to stream temperatures: r_w_Tk_to_T = 0 means no consideration of Tk variables in the definition of the distance !!! Only meaningfull if Distance_mode=0 (otherwise ignored)
epsilon_T = 0.01;	% 0.001; % used in XL_Decoding, needed for uniform boundaries on X
epsilon_X = epsilon_T;	% used in to specify range for SL_GA_Initial
if helppri==1, help InitD; end
pausetext = 'Press any key ...';

interpri = 999;		% if interactif   interpri=input from keyboard	% if chosen, then next line to be commented out !
interpri = 888;		% if auto default interpri=0
testwhile = 0;
while testwhile == 0
	switch interpri
		case { 0,1,2 }
			testwhile = 1;
		case { 888 }
			interpri=0;
			testwhile = 1;
		otherwise
			interpri = input ( ' Enter a value for intermediate printing ? (None[=def], a few, all):(0 or 1 or 2) = ' );
			if isempty (interpri)
				interpri = 0;
			end
	end
end

DataUnits;

%*****************************************************************************
