% *******************************************************
%	IHRS design and optimization using Genetic Algorithms 
%	Main Program.
% *******************************************************
%	18.01.2000 - last : 03.02.00 by OW|BR
%	ProcMainSX.m
% *******************************************************
global	bad_offspring
global	Xpa
global	Xpb
global	HR_mode
global	Search_mode
global	Threshold_n_gen
global	Distance_mode
global	Binary_var_mode
global	Dvar
global	DvarSize
global	one_third
global	epsilon_T
global	I									
global	J						
global	P					
global	K							
global	L						
global	M					
global	N				
global	O			
global	N_XT					
global	N_ST				
global	Stream			
global	HotUtility		
global	ColdUtility		
global	StorageFluid	
global	HEXCostFunction
global	HSUCostFunction	
global	T_Sp						
global	T_Tp				
global	X_SX
global	I_SX
global	T_min_HSU						
global	T_max_HSU						
global	Tk					
global	k_min				 
global	k_max			
global	T
global	Xp
global	Optional_p	
global	Dt_batch					
global	Dtl					
global	RU				
global	Ut_X				
global	Abs_QH_CC				 
global	QC_HC				
global	MBB_k_fact	
global	MBB_kl_act
global	A_CP_h_po			
global	A_CP_h_pm			
global	A_CP_h_pn
global	TBCs_min
global	n_gen
global 	PrintTrace
global 	NGENplot
%global	Array_Individuals_HR
%global	Array_Individuals_TBCs_min
global	n_improvements
global	TBCs_max
global	HR_max
global	N_HR
global	TBCs_vs_HR
global	delta_HR
global	TBCs_max_approx
%global	HR_max_approx
global	G_SX
global	HR_ul

%********************************************

tic;

help RProcMainSX;				%*"+

InitD;					%	Setting some preferences / graphic output options

DataInput;				%	Reading the process data and GA parameters

VarInitSX;				% Variable initialization

CheckData;				% Consistency conditions test

GanttData;				% Decomposition into time slices

IndependentTerms;		% Calculation of optimization-independent terms

PlotSettings;			

ttt = toc;
Red;			% Call ed.m (Execute optimize.dll, the mex interface to Struggle)

t_elapsed = toc + ttt;	% il y a un autre tic au debut de Red.m
dispnum ( t_elapsed, 't_elapsed for RProcMain.m', 'sec !!' );

disp('  ');
disp ( ' End of Program --- Main Program ! ' );
% ***************************************************