% *******************************************************
%	dispsubarray.m
% *******************************************************
%	Display a sub array with selected columns from an array of size= on ncol columns with text
% *******************************************************
	function disparray ( array, ncolstart, ncolend, ncol, text )
% *******************************************************
[Msize,Nsize] = size(array);

if ncolstart > Nsize, ncolstart = Nsize; end
if ncolend   > Nsize, ncolend   = Nsize; end
if ncolstart > ncolend, ncolend = ncolstart; end
for iii=ncolstart:ncol:ncolend
	istart = iii;
	istop = iii+ncol-1;
	if istop > Nsize, istop = Nsize; end
	for isize=1:1:Msize
		dispnum ( array(isize,istart:istop), [text,'(',num2str(isize),',',num2str(istart),':',num2str(istop),')'] );
	end
end
% *******************************************************
% end dispsubarray.m
% *******************************************************
