%**********************************************
%	IHRS design and optimization using Genetic Algorithms 
%	16.01.00 - last : 02.02.01 by OW|BR
% *********************************************

if helppri==1, help DataUnits; end

%	Process data

stream.units='';
name.units='';
Temp.units='C';							%	Temperature
X.units='';									%	Reduced temperature for GA
mass.units='kg';
roTk.units='kg/m3';						%	density
CP.units='kW/C';							% 	specific heat
heat_rate.units='kW';					%	%	not used
heat.units='kWh/bat.';					%	%	not used
time.units='min';							%	event time
duration.units='h';						%	duration
heat_transfer.units='kW/m2C';		%	h units
h.units='kW/m2C';						%	heat transfer units

%	Utility data

%		;

%	HEX and HSU cost data

area.units='m2';
volume.units='m3';
fixed_cost.units='CHF/batch';					%	c0_X units
A_variable_cost.units='CHF/(batch*m2)';	%	c1_X units
V_variable_cost.units='CHF/(batch*m3)';	%	c1_X units
cost.units='CHF';									%	c    units
c.units='CHF';										%	cost units
cost_exponent.units='';							%	cost exponent mX & mS
m.units='';											%	cost exponent mX & mS
U.units='';											%	factors UnX & UtX

%	Economic data

%		;

%	GA related Data

%		;

% *********************************************
