// MLIO.cpp: implementation of the MLIO class.
//
//////////////////////////////////////////////////////////////////////
// MLIO.cpp: implementation of the MLIO class.
//
// see MLIO.h for explanation header
//
//////////////////////////////////////////////////////////////////////

#include "mex.h"
#include "MLIO.h"

//////////////////////////////////////////////////////////////////////
// Initialisation
//////////////////////////////////////////////////////////////////////

//	static int   m_PrintTrace;			// state of PrinTrace parameter
//	static char* m_BCO_name;			// state of BlendCrossover name parameter
//	static int   m_BCO_Bmut;			// state of BlendCrossover mutation parameter for binary genes
//	static int   m_BCO_Idep;			// state of BlendCrossover deployment parameter for integer genes
//	static int   m_BCO_Rdep;			// state of BlendCrossover deployment parameter for real genes

int    MLIO::m_PrintTrace = 2;		// should be 3    !!!!!!!! >0 & >1 & >2 !
char*  MLIO::m_BCO_name = "Real";	// "Bin" "Int" "Real" "List" !
double MLIO::m_BCO_Bmut = 0.09;		// should be 0.1  !!! 0.0 & 0.01 & 0.02 !
double MLIO::m_BCO_Idep = 0.99;		// should be 1.0  !!! 0.25 & 0.5 & 1.0 !
double MLIO::m_BCO_Rdep = 0.49;		// should be 0.5  !!! 0.1 & 0.25 & 0.5 & 1.0 !

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

MLIO::MLIO()
{

}

MLIO::~MLIO()
{

}

//////////////////////////////////////////////////////////////////////
// Methods
//////////////////////////////////////////////////////////////////////

	void MLIO::PrintTrace(int Value)
		{
		if (Value >= 0)	m_PrintTrace = Value;
		}

	int MLIO::PrintTrace()
		{
		return m_PrintTrace;
		}

	void MLIO::BCO_name(char* Value)
		{
		if (Value != NULL)	m_BCO_name = Value;
		}

	char* MLIO::BCO_name()
		{
		return m_BCO_name;
		}

	void MLIO::BCO_Bmut(float Value)
		{
		if (Value >= 0)	m_BCO_Bmut = Value;
		}

	float MLIO::BCO_Bmut()
		{
		return m_BCO_Bmut;
		}

	void MLIO::BCO_Idep(float Value)
		{
		if (Value >= 0)	m_BCO_Idep = Value;
		}

	float MLIO::BCO_Idep()
		{
		return m_BCO_Idep;
		}

	void MLIO::BCO_Rdep(float Value)
		{
		if (Value >= 0)	m_BCO_Rdep = Value;
		}

	float MLIO::BCO_Rdep()
		{
		return m_BCO_Rdep;
		}
